# MdiTabProperties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Encapsulates properties related to the tabbed MDI interface.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MdiTabProperties : ICloneable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MdiTabProperties
    Inherits ICloneable
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) MdiTabProperties(owner)

Initializes a new instance of the [MdiTabProperties](/api/wisej.web/containers/form/wisej.web.mditabproperties.md) class.

| Name      | Type                                      | Description                                                                           |
| --------- | ----------------------------------------- | ------------------------------------------------------------------------------------- |
| **owner** | [Form](/api/wisej.web/containers/form.md) | The [Form](/api/wisej.web/containers/form.md) whose properties this object describes. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Alignment

[TabAlignment](/api/wisej.web/containers/tabcontrol/wisej.web.tabalignment.md): Returns or sets the area of the control (for example, along the top) where the tabs are aligned. (Default: `Top`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AllowUserToMoveTabs

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the user can change the position of a tab button by dragging it. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) BackColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the background color for the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) BorderStyle

[BorderStyle](/api/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control. (Default: `Solid`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Orientation

[Orientation](/api/wisej.web/enumerations/wisej.web.orientation.md): Returns or sets a value indicating the horizontal or vertical orientation of the [TabControl](/api/wisej.web/containers/tabcontrol.md) tab pages.

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowMdiChildMenu

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the menu of the MdiChild form is shown on the tab button. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowThumbnails

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the thumbnail page is visible. (Default: `True`)

### ![](/files/hsR4ok3152WyAf8J2C1u) SizeMode

[TabSizeMode](/api/wisej.web/containers/tabcontrol/wisej.web.tabsizemode.md): Returns or sets whether the tab buttons should fill the control's size, or placed in the center, or aligned to the left. (Default: `Normal`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/form/wisej.web.mditabproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
